Get audit truth
GET
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidaudit_id*Audit IdFormat
uuidSuccessful Response
application/json- response
audit_id*Audit IdFormat
uuidentities*array<>entity_count*Entity Countevidence*array<>generated_at*Generated AtFormat
date-timemissing_sources*array<string>relationship_count*Relationship Countrelationships*array<>source_coverage*Source Coveragesources*array<string>status*Statusstyle?|The architectural style the Security Architect classified from this snapshot, with evidence, confidence and a plain explanation. Null before it ran.
version*Versioncurl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/audits/497f6eca-6276-4993-bfeb-53cbbbba6f08/truth'Example Response
{ "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897", "entities": [ { "attributes": {}, "canonical_key": "string", "confidence": "string", "contradictions": [ { "alternatives": [ { "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "observed_at": "2019-08-24T14:15:22Z", "source_keys": [ "string" ], "source_refs": [ "string" ], "value": "string" }, { "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "observed_at": "2019-08-24T14:15:22Z", "source_keys": [ "string" ], "source_refs": [ "string" ], "value": "string" } ], "detected_at": "2019-08-24T14:15:22Z", "field": "string", "resolution_summary": "string", "resolved_at": "2019-08-24T14:15:22Z", "state": "open" } ], "evidence_ids": [ "string" ], "first_observed_at": "2019-08-24T14:15:22Z", "kind": "string", "last_observed_at": "2019-08-24T14:15:22Z", "links": { "decision_ids": [ "ee5dfe1a-ec80-4b91-a667-92bab6473bc1" ], "deployment_evidence_ids": [ "b9ebcd9e-d4d0-470b-b9ae-54dd726b538e" ], "finding_ids": [ "d5d48824-6cad-498f-8feb-561fb3cdb809" ], "owner_ids": [ "f08e96b0-7632-4168-a4e6-5228d054c122" ], "remediation_ids": [ "b8f3922c-cdec-4b4e-8fb9-135818ed224f" ] }, "name": "string", "sources": [ "string" ] } ], "entity_count": 0, "evidence": [ { "content_sha256": "string", "evidence_kind": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "location": {}, "object_key": "string", "observed_at": "2019-08-24T14:15:22Z", "provider": "string", "relationship_kind": "string", "source_ref": "string", "source_type": "code", "subject_key": "string", "summary": "string" } ], "generated_at": "2019-08-24T14:15:22Z", "missing_sources": [ "string" ], "relationship_count": 0, "relationships": [ { "attributes": {}, "canonical_key": "string", "confidence": "string", "contradictions": [ { "alternatives": [ { "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "observed_at": "2019-08-24T14:15:22Z", "source_keys": [ "string" ], "source_refs": [ "string" ], "value": "string" }, { "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "observed_at": "2019-08-24T14:15:22Z", "source_keys": [ "string" ], "source_refs": [ "string" ], "value": "string" } ], "detected_at": "2019-08-24T14:15:22Z", "field": "string", "resolution_summary": "string", "resolved_at": "2019-08-24T14:15:22Z", "state": "open" } ], "evidence_ids": [ "string" ], "first_observed_at": "2019-08-24T14:15:22Z", "kind": "string", "last_observed_at": "2019-08-24T14:15:22Z", "links": { "decision_ids": [ "ee5dfe1a-ec80-4b91-a667-92bab6473bc1" ], "deployment_evidence_ids": [ "b9ebcd9e-d4d0-470b-b9ae-54dd726b538e" ], "finding_ids": [ "d5d48824-6cad-498f-8feb-561fb3cdb809" ], "owner_ids": [ "f08e96b0-7632-4168-a4e6-5228d054c122" ], "remediation_ids": [ "b8f3922c-cdec-4b4e-8fb9-135818ed224f" ] }, "source_key": "string", "sources": [ "string" ], "superseded_at": "2019-08-24T14:15:22Z", "supersedes_id": "8149cd94-4e90-4a99-91f5-a3e0f9b829dc", "target_key": "string" } ], "source_coverage": "string", "sources": [ "string" ], "status": "string", "style": { "deployable_units": 0, "explanation": "string", "explanation_source": "deterministic", "primary": "microservices", "primary_label": "string", "styles": [ { "confidence": 0, "counter_signals": [ { "evidence_ids": [ "string" ], "statement": "string" } ], "label": "string", "signals": [ { "evidence_ids": [ "string" ], "statement": "string" } ], "style": "microservices" } ], "summary": "string" }, "version": "string"}